Subject: [Eligibility-discuss] my conclusions from additional data Robert and Stephen dug up

From: Michael Richardson <[email-masked]>
Date: Sun, 28 Jun 2020 13:47:23 -0400

Hi, Robert ran some numbers, and some venn diagrams were produced based upon
some additional questions. I can't find the post with the details, but I did
print the diagrams, which I hope will get shared by those who still have
them.  Brian has had some adventures turning this into SVG for inclusion in
his draft, and I expect the diagrams will make it to the list very soon.

So I'm writing this down from a paper copy :-)

EXEC SUM: I like rule 5, and I would expand it to adopted WG draft authors.

Categories of questions were posed:
   1) 2018 looking back 5 years
   2) 2019 looking back 5 years
   3) 2018 looking back 3 years
   4) 2019 looking back 3 years

Base data.
  2018: 3 of 5 eligible 779,  actual volunteers 195
  2019: 3 of 5 eligible 797,  actual volunteers 177

"paths 2,4,5" => (2) WG Chair/Secretary, (4) IESG/IAB, (5) ID author
The "looking back"/paths refers to how far back we consider 2,4,5.

My attempt to summarize the diagram data.

(1-2018-5yr) of the 779 previously eligible,
    379 were also eligible according to either criteria, of which 142 volunteered.
    An additional 43 volunteers were eligible only by 3-of-5.
    357 3-5 eligible people did not volunteer.
    Conclusion 2018/5yr brings 542 potential volunteers to the pool.

(2-2018-3yr) of the 779 previously eligible,
    379 were also eligible according to either criteria, of which 138 volunteered.
    An additional 47 volunteers were eligible only by 3-of-5.
    353 3-5 eligible people did not volunteer.
    Conclusion 2018/3yr brings 364 potential volunteers to the pool.

(3-2019-5yr) of the 797 previously eligible,
    361 were also eligible according to either criteria, of which 115 volunteered.
    An additional 56 volunteers were eligible only by 3-of-5.
    380 3-5 eligible people did not volunteer.
    Conclusion 2018/5yr brings 484 potential volunteers to the pool.

(3-2019-3yr) of the 797 previously eligible,
    334 were also eligible according to either criteria, of which 113 volunteered.
    An additional 58 volunteers were eligible only by 3-of-5.
    405 3-5 eligible people did not volunteer.
    Conclusion 2018/3yr brings 303 potential volunteers to the pool.

High-level conclusions: it is not surprising that going back 2 additional
years brings more people to the 2,4,5 path.  In 2018, 4 of the additional
people were already eligible by 3-of-5, and in 2019, that number is 25.

I would like to split out the 2 (WGchairs), 4 and 5 categories.
a) I'm unclear in the data analysis if category 4(IESG/IAB) properly excluded
   currently sitting members.  It might be worth changing criteria (4) to say
   that all outgoing I* from the past 3 years are eligible.  But, really
   anyone who has been on the I* in the past two years is going to 3-of-5
   eligible anyway.  I think that category (4) is not a useful thing.

b) I would like to know how many WG chairs are category (2) eligible, while
   not already being 3-of-5 eligible.  I could imagine 20% are below the
   line.  Having WG chairs on the nomcom is especially important, because
   they have the most experience with the current leadership.  Having WG
   chairs on the nomcom is a problem, because it's precisely from that
   pool of people that the nomcom winds up having to select from.
   That is, it benefits nomcom little to add people to the volunteer pool who
   will decline to serve because they wish to be considered.

c) I conclude that adding WG draft authors to the list provides a significant
   and useful increase to the pool.  The sum on each case is around 1000
   (958,1136,1110,929), which is of the same order of magnitude as the number
   of people who attend meetings.
   Noting that these are *WG* RFC authors, and not just anyone who
   can get a datatracker account, I think that the criteria is good.

Brian's draft asks:

> *  Should we also consider authorship of drafts formally adopted by a
>    WG?

Yes, I think that we should.
I believe that this would significantly help with enfranchisement of new
comers.  Having a WG adopt a document is a significant step.

>   *  Should BOF chairs qualify for Path 2?

Yes, I think that we should, although I predict the delta will be very small,
as I think that BOFs are mostly chosen from among experienced WG chairs, and
the IAB.

>  *  Should we consider remote meeting attendance and if so how do we
>     measure it?  Is there any difference from this point of view
>     between plenary and interim meetings?

I think that these numbers show that we don't really have to think about this
too hard.  We can go without this criteria and do well.

>  *  Should we consider how many nomcom voting members qualify via
>     which paths?  For example, would it be ok if all 10 nomcom voting
>     members qualified via path 4 in one year?

To remind, path 4 is IESG/IAB.

Since they can't be sitting members, and we retire at most 12 people out of the
I* each year, 5*12=60 ex-I* volunteers in the pool, that's 1/3 of the pool.
I can easily see how one could pick 10 volunteers in this way.
It would certainly be an interesting nomcom.   Probably either a very
activist nomcom, or pessimistically, a very vindictive one.

Realistically, one or two retiring IESG wind up in the IAB each year,
and probably 1/2 to 2/3 of the I* members are returned for another year, so
the number "12" above, is large.  It is probably more like 3.
My guess is that those three probably won't volunteer, because really they
need a mental health break.   They would be 3-of-5 eligible.
Many get tapped as WG chairs anyway.

My conclusion is there are very few people that path 4 qualifies who would
not already be qualified, and it is very unusual to have many (if any) former
ADs on the nomcom, so I just think we shouldn't worry about such a problem
until it happens.

>   *  We have not yet done an analysis of the effects of the criteria
>      described here based on information from the public record and
>      IETF datatracker.  That should be done before this process
>      experiment starts.

Now we have data.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 29 Jun 2020 09:31:56 +1200

The Venn diagrams for this are at https://github.com/sftcd/elig/blob/master/venn-2018-2019.pdf

Regards
   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 29 Jun 2020 11:21:07 +1200

Thanks for the analysis, Michael.

> too hard.  We can go without this criteria and do well.

Possibly. One additional data point is how this year's qualified volunteer
list looks. So far there are 160 names of which 25 are marked (107), in
the unverified list. Of course there is no way we can regard IETF 107
attendance as in any way normal, but it suggests that adding remote
attendance is not an immediate must-have.

Regards
   Brian

---

From: Michael Richardson <[email-masked]>
Date: Sun, 28 Jun 2020 20:23:54 -0400

> attendance is not an immediate must-have.

My understanding is that they won't be qualified unless we count 107
attendance, is that right?  They couldn't qualify on 3-of-5 for 106,105,104,103,102?
I was actually rather surprised at who was listed.
Not names I would have expected to have their eligibility imperiled.

So to repeat, rule (5) as is, is very good.
I would expend it to include WG *draft* authors, rather than just RFCs.
I suspect that actually the impact may be smaller than we might think, but I
think it just makes sense.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 29 Jun 2020 14:19:41 +1200

> attendance, is that right?  They couldn't qualify on 3-of-5 for 106,105,104,103,102?

No, RFC8788 really only changes the definition of "last 5" from 107-103 to 106-102. So actually those 25 people would have been in if we had decided to include 107 attendance and discount 102. How many people would have been excluded if the range had been 107-103? I can't even guess.

    Brian

---

From: S Moonesamy <[email-masked]>
Date: Mon, 29 Jun 2020 01:41:52 -0700

Hi Michael,
>EXEC SUM: I like rule 5, and I would expand it to adopted WG draft authors.

Thanks for sharing the analysis.

>comers.  Having a WG adopt a document is a significant step.

I reviewed a draft from an author who was affiliated with the 
Internet Society.  The author mentioned that there was a pattern of 
rejection by NomCom and it pointed to some bias.

If new people are not arguing for a change, can we conclude that:

   (a) the persons are not interested in IETF administrative affairs; or

   (b) the culture discourages new people from participating; or

   (c) the persons consider the system as biased; or

   (d) attendance equates with "enfranchisement"?

Regards,
S. Moonesamy

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 29 Jun 2020 13:58:39 -0500

One minor point of snark ...

> attendance, is that right?  They couldn't qualify on 3-of-5 for

After a quick look at https://www.rfc-editor.org/auth48/C238, and at (one
cluster-238 document I'm familiar with),
https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rtcweb-qos/, it's worth
noting that we have approved WG drafts that sit in the RFC Editor queue for
multiple years,

Since I'm subscribed to the C238 mailing list (because there are so many
inter-draft connections, they have their own mailing list), I'm imagining
that a bunch of people who worked on the early versions of these drafts
aren't active in the IETF today. The time to count them was (for the draft
I named) starting in 2014, at WG adoption time, not 2020 when the RFC is
likely to pop out.

So I'd definitely say "WG *draft* authors", and I'm not sure what we would
get by adding "and RFCs" (but I'm willing to learn).

Best,

Spencer

> Eligibility-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eligibility-discuss
>

---

From: Michael Richardson <[email-masked]>
Date: Mon, 29 Jun 2020 15:01:49 -0400

> I reviewed a draft from an author who was affiliated with the Internet
    > Society.  The author mentioned that there was a pattern of rejection by
    > NomCom and it pointed to some bias.

Are you saying that the nomcom rejected volunteer affliated with the Internet Society?
Or that they rejected candidates affliated with the ISOC?
Or that the WG rejected documents authored by ISOC people?

I believe that whether or not ISOC employees can/should be nomcom volunteers
is a nuanced question.

    > (d) attendance equates with "enfranchisement"?

I think that I can't understand this question without understanding the above context.

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 29 Jun 2020 15:13:57 -0400

Hi,

I work for the Internet Society (as CEO) and I'm posting this with my hat on but from my home account for convenience.

>I believe that whether or not ISOC employees can/should be nomcom volunteers

Not any more: the Internet Society has a current policy that does not permit volunteering for the nomcom, and requires declining if accidentally selected or else ending employment at the Internet Society.  (In addition, Internet Society employees are not eligible for any nomcom-appointed positions under any circumstances.)   This is an Internet Society policy, and we adopted it not long after the creation of the LLC in order to avoid any hint of some sort of _quid pro quo_ across the funding boundary.  It might be that long experience or future funding model changes at the IETF will give good reason to change this policy, but for the time being it is a firm rule.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Mon, 29 Jun 2020 16:35:32 -0400

> Not any more: the Internet Society has a current policy that does not
    > permit volunteering for the nomcom, and requires declining if
    > accidentally selected or else ending employment at the Internet

Yes, I was aware of this policy.

    > It might be that long experience or
    > future funding model changes at the IETF will give good reason to
    > change this policy, but for the time being it is a firm rule.

As you say, it not being a nomcom policy though, as you say, a future ISOC
executive could change it.  That's where the nuance comes in :-)

---

From: S Moonesamy <[email-masked]>
Date: Mon, 29 Jun 2020 13:39:47 -0700

Hi Michael,
>Are you saying that the nomcom rejected volunteer affliated with the 

No.

>Or that they rejected candidates affliated with the ISOC?

No.

>Or that the WG rejected documents authored by ISOC people?

No.

What I was saying is that the perception of some candidates was that 
the NomCom selection process was biased as some of them were 
repeatedly rejected as they went through the selection process.  The 
source of the information was, in my opinion, reliable enough for me 
not to asked for details.

>I think that I can't understand this question without understanding 

There are different angles to the eligibility issue.  I mentioned 
them as questions (they aren't easy answers to any of them).

Regards,
S. Moonesamy

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 29 Jun 2020 20:47:03 +0000

the NomCom selection process was biased as some of them were 
    repeatedly rejected as they went through the selection process.

You mean they were listed in the volunteer pool but not chosen?

If so, that seems like the one thing that cannot be tampered with.  Have them read, and understand, RFC 3797.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 30 Jun 2020 08:50:44 +1200

> executive could change it.  That's where the nuance comes in :-)

However, it's ISOC's internal business and is irrelevant in the context of
the IETF's own eligibility rules.

    Brian

---

From: S Moonesamy <[email-masked]>
Date: Mon, 29 Jun 2020 13:51:44 -0700

Hi Rich,

No.

>If so, that seems like the one thing that cannot be tampered 
>with.  Have them read, and understand, RFC 3797.

My comment was not listed to the volunteer pool.  It was also not 
related to the selection described in  Section 4.16 of RFC 8713.

Regards,
S. Moonesamy

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 29 Jun 2020 20:53:10 +0000

No.

Please (re-)explain what you mean.

---

From: John C Klensin <[email-masked]>
Date: Mon, 29 Jun 2020 17:07:42 -0400

Andrew,

And, that said, I'm a little bit concerned with the possibility
of cluttering up documents with lists of organizations that are
and are not allowed to have people who are on their payrolls on
the Nomcom?   So, if there were no other organizational entities
for which a specific ban was needed, would you see a need for
IETF to ban ISOC employees, or do you see ISOC's internal rules
and detection and enforcement mechanisms as adequate to prevent
that possibility?

   john

--On Monday, June 29, 2020 15:13 -0400 Andrew Sullivan
<[email-masked]> wrote:

> Hi,
> 
> I work for the Internet Society (as CEO) and I'm posting this
> with my hat on but from my home account for convenience.
> 
>> I believe that whether or not ISOC employees can/should be
>> nomcom volunteers is a nuanced question.
> 
> Not any more: the Internet Society has a current policy that
> does not permit volunteering for the nomcom, and requires
> declining if accidentally selected or else ending employment
> at the Internet Society.  (In addition, Internet Society
> employees are not eligible for any nomcom-appointed positions
> under any circumstances.)   This is an Internet Society
> policy, and we adopted it not long after the creation of the
> LLC in order to avoid any hint of some sort of _quid pro quo_
> across the funding boundary.  It might be that long experience
> or future funding model changes at the IETF will give good
> reason to change this policy, but for the time being it is a
> firm rule.
> 
> Best regards,
> 
> A
> 
> 
> -- 
> Andrew Sullivan
> [email-masked]

---

From: S Moonesamy <[email-masked]>
Date: Mon, 29 Jun 2020 14:26:28 -0700

Hi Rich,
>Please (re-)explain what you mean.

Please see the eighth paragraph in Section 1 of RFC 7704.

Regards,
S. Moonesamy

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 29 Jun 2020 18:07:16 -0400

Hi,

[ObDisclaimer: still employed by ISOC.  Still my personal account from
convenience.]

>and detection and enforcement mechanisms as adequate to prevent

My belief was (and is) that, given that the IETF selects 1/3 of the
ISOC Trustees and that the LLC is a disregarded entity within ISOC and
other such institutional reasons, that we were close enough that our
policies would be aligned with the interests of the IETF and that if
they weren't there'd be both formal and informal mechanisms for
pressure to fix that.  So I wouldn't advocate adding a bunch of text
to any RFC.  I just wanted to be clear that the rule these days was
not especially nuanced [1], especially in light of some (to me)
mystifying remarks up-thread.

Best regards,

A

[1] By contrast, we've tried to allow for nuance in chair positions
and contributions of I-Ds and as authors and so forth, but with
appropriate controls -- again both so that we don't get into the
common SDO situation of the paid staff being a significant number of
the contributors and so that there is no avenue for accusation that
the IETF is somehow a "tool" of ISOC, given the funding model.  I
think that is all completely off-topic for this list, but I thought
I'd point it out for completeness.  For further discussion of that, if
any, I hope we can do it on some other list.

-- 
Andrew Sullivan
[email-masked]